Mandriva Linux Security Advisory : pidgin (MDVSA-2012:082)

This script is Copyright (C) 2012-2016 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

Multiple vulnerabilities has been discovered and corrected in pidgin :

A series of specially crafted file transfer requests can cause clients
to reference invalid memory. The user must have accepted one of the
file transfer requests (CVE-2012-2214).

Incoming messages with certain characters or character encodings can
cause clients to crash (CVE-2012-2318).

This update provides pidgin 2.10.4, which is not vulnerable to these
issues.

See also :

http://www.pidgin.im/news/security/
http://www.pidgin.im/news/security/?id=62
http://www.pidgin.im/news/security/?id=63

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 4.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 61954 ()

Bugtraq ID: 53400

CVE ID: CVE-2012-2214
CVE-2012-2318

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now